::===============================
::      BLOODY PULP FICTION
::
::    rescripted by BME/ILMHB
::===============================

@ECHO OFF
CLS

CALL BPF\INSTEXT SOUNDS...
COPY SOUNDS.rff SOUNDS.bme
BARF SOUNDS.rff -a @BPF\SND.rfs>error.txt
CALL BPF\INSTEXT MIDI...
BARF SOUNDS.rff -a @BPF\MIDI.rfs>>error.txt

CALL BPF\INSTEXT VOXELS...
COPY BLOOD.rff BLOOD.bme
BARF BLOOD.rff -a @BPF\KVX.rfs>>error.txt

CALL BPF\INSTEXT ART...
REN TILES009.art TILES009.bme
REN TILES015.art TILES015.bme
REN TILES018.art TILES018.bme
REN TILES019.art TILES019.bme
REN TILES020.art TILES020.bme

CALL BPF\INSTEXT ART...
COPY BPF\ART\TILES009.art
COPY BPF\ART\TILES015.art
COPY BPF\ART\TILES018.art
COPY BPF\ART\TILES019.art
COPY BPF\ART\TILES020.art

CALL BPF\INSTEXT DATA...
COPY SURFACE.dat SURFACE.bme
COPY BPF\SURFACE.dat
COPY VOXEL.dat VOXEL.bme
COPY BPF\VOXEL.dat
COPY BPF\BPF.ini

CALL BPF\INSTEXT MAPS
COPY BPF\MAP\BAITD2.MAP>nul
COPY BPF\MAP\BFS.MAP>nul
COPY BPF\MAP\BLAKCOVE.MAP>nul
COPY BPF\MAP\BPF*.MAP>nul
COPY BPF\MAP\CHARON.MAP>nul
COPY BPF\MAP\HEART.MAP>nul
COPY BPF\MAP\HELLEN.MAP>nul
COPY BPF\MAP\MONOLITH.MAP>nul
COPY BPF\MAP\MOUTH2.MAP>nul
COPY BPF\MAP\MOUTH.MAP>nul
COPY BPF\MAP\NOCTEM.MAP>nul
COPY BPF\MAP\RETURN.MAP>nul
COPY BPF\MAP\THEFORT.MAP>nul
COPY BPF\MAP\TRAINING.MAP>nul
COPY BPF\MAP\WRECK.MAP>nul

CALL BPF\INSTEXT DONE!
::----------------------
BLOOD -ini BPF.ini>>error.txt
::----------------------

DEL BAITD2.MAP
DEL BFS.MAP
DEL BLAKCOVE.MAP
DEL BPF*.MAP
DEL CHARON.MAP
DEL HEART.MAP
DEL HELLEN.MAP
DEL MONOLITH.MAP
DEL MOUTH2.MAP
DEL MOUTH.MAP
DEL NOCTEM.MAP
DEL RETURN.MAP
DEL THEFORT.MAP
DEL TRAINING.MAP
DEL WRECK.MAP

DEL BPF.ini

DEL SURFACE.dat
REN SURFACE.bme SURFACE.dat
DEL VOXEL.dat
REN VOXEL.bme VOXEL.dat

DEL TILES009.art
DEL TILES015.art
DEL TILES018.art
DEL TILES019.art
DEL TILES020.art

REN TILES009.bme TILES009.art
REN TILES015.bme TILES015.art
REN TILES018.bme TILES018.art
REN TILES019.bme TILES019.art
REN TILES020.bme TILES020.art

DEL SOUNDS.rff
REN SOUNDS.bme SOUNDS.rff

CLS
ECHO.
ECHO  ALL FILES RESTORED!
ECHO.
ECHO  Installer by BME/ILMHB 2013
ECHO.
